pro phot0, image, xc, yc, fl, flerr, scale0=scale0, dsize=dsize $
           , threshold=threshold, apers = apers, fwhm=fwhm $
           , setsky = setsky
 
  if not keyword_set(scale0) then scale0=1
  if not keyword_set(apers) then apers = [2,4,6,8,10,12] 
  if not keyword_set(threshold) then threshold = 4.
  if not keyword_set(fwhm) then fwhm=5.
  if keyword_set(setsky) then setskyval0 = 1.0e-8 else setskyval=0
  im = image
  ss = size(im)
  sx1 = ss(1)/2-dsize
  sx2 = ss(1)/2+dsize
  sy1 = ss(2)/2-dsize
  sy2 = ss(2)/2+dsize
  print, sx1, sx2, sy1, sy2
  im1 = im(sx1:sx2,sy1:sy2)
  atv, im1

  getannul, im1, dsize, dsize, 10*scale0, 15*scale0, bg
  uu = where(bg eq bg)
  skymod = biweight_mean(bg(uu),skysig)

  sky, im1, skymod1, skysig1 ,/SILENT, /MEANBACK, /NAN
  print, skymod1, skysig1

  xc = 0.
  yc = 0.
 
  ss = size(im1)
  
  find, im1, xc, yc, flux, sharp, round, threshold * skysig, fwhm $
     , [-1,1.0], [-10000.0,10000.0]
  print, 'xxxxx> ', round   
  print, xc, yc
  kk = where( (xc ge 10) and (yc ge 10) and (xc le ss(1)-10) and (yc le ss(2)-10)  )
  xc = xc(kk)
  yc = yc(kk)
;  atvplot, [xc], [yc], psym = 1, color = 'red', thick = 1

  maper, im1, xc, yc, fl, flerr, sky1, skyerr1, 1 $
     , apers*scale0, [8,10]*scale0, [-1000,1000], /flux $
     , setskyval=1e-8 , /onlyskyerr
  print, '==============================="
  print, xc, yc
 
  print, fl, flerr, sky1, skyerr1

res = fltarr(n_elements(fl),2)
res(*,0) = fl
res(*,1) = flerr
return
end